Bug 409061 - pvs/pvdisplay incorrectly show non-MDA pvs as orphans
pvs/pvdisplay incorrectly show non-MDA pvs as orphans
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.6
All Linux
high Severity high
: ---
: ---
Assigned To: Alasdair Kergon
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 13:48 EST by Issue Tracker
Modified: 2010-10-22 16:53 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHBA-2008-0776
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2007-12-03 13:48:42 EST
Escalated to Bugzilla from IssueTracker
Comment 3 Issue Tracker 2007-12-03 13:48:46 EST
Example of this problem (both PVs are members of the VG, dasdkfy1 doesn't
contain an MDA):

# pvdisplay /dev/dasdkfy1
 --- NEW Physical volume ---
 PV Name               /dev/dasdkfy1
 VG Name
 PV Size               179.20 MB
 Allocatable           NO
 PE Size (KByte)       0
 Total PE              0
 Free PE               0
 Allocated PE          0
 PV UUID               70Xj8D-cTQX-8RhE-Mmu8-eSK3-1wgW-3Tehb3

# pvdisplay /dev/dasdkaw1 /dev/dasdkfy1
 --- Physical volume ---
 PV Name               /dev/dasdkaw1
 VG Name               <volume group name>
 PV Size               179.20 MB / not usable 3.20 MB
 Allocatable           yes
 PE Size (KByte)       4096
 Total PE              44
 Free PE               44
 Allocated PE          0
 PV UUID               Z1k8TR-NU3m-jBF3-8zxR-v1LN-PRsJ-LWSBAo

 --- Physical volume ---
 PV Name               /dev/dasdkfy1
 VG Name               <volume group name>
 PV Size               179.20 MB / not usable 3.20 MB
 Allocatable           yes
 PE Size (KByte)       4096
 Total PE              44
 Free PE               44
 Allocated PE          0
 PV UUID               70Xj8D-cTQX-8RhE-Mmu8-eSK3-1wgW-3Tehb3


This event sent from IssueTracker by bhinson  [SEG - Storage]
 issue 139375
Comment 9 Bryn M. Reeves 2008-01-28 15:48:48 EST
Already fixed in upstream release 2.02.30:

WHATS_NEW:
- Fix process_all_pvs to detect non-orphans with no MDAs correctly.

Comment 11 RHEL Product and Program Management 2008-01-28 16:06:20 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 15 Corey Marthaler 2008-06-30 11:37:28 EDT
Fix verified in lvm2-2.02.37-3.el4.

[root@taft-03 dev]# pvcreate --metadatacopies 0 /dev/sdc1
  Physical volume "/dev/sdc1" successfully created
[root@taft-03 dev]# pvcreate /dev/sdb1
  Physical volume "/dev/sdb1" successfully created
[root@taft-03 dev]# vgcreate taft /dev/sdb1 /dev/sdc1
  Volume group "taft" successfully created
[root@taft-03 dev]# pvdisplay /dev/sdc1
  --- Physical volume ---
  PV Name               /dev/sdc1
  VG Name               taft
  PV Size               135.67 GB / not usable 1.43 MB
  Allocatable           yes
  PE Size (KByte)       4096
  Total PE              34730
  Free PE               34730
  Allocated PE          0
  PV UUID               9VPNhv-IBi7-Jgds-Xl6I-j1TU-Dugk-m2Ti2s

Comment 17 errata-xmlrpc 2008-07-24 16:07:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0776.html

Note You need to log in before you can comment on or make changes to this bug.